VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::Library::Item::UpdateSessionModel::State Class Reference
Inheritance diagram for Com::Vmware::Content::Library::Item::UpdateSessionModel::State:

## Avaliable Methods
public method | new ()

## Detailed Description

The state of an update session. Constant Com::Vmware::Content::Library::Item::UpdateSessionModel::State::ACTIVE # The session is currently active. This is the initial state when the session is created. Files may be uploaded by the client or pulled by the Content Library Service at this stage. Constant Com::Vmware::Content::Library::Item::UpdateSessionModel::State::DONE # The session is done and all its effects are now visible. Constant Com::Vmware::Content::Library::Item::UpdateSessionModel::State::ERROR # There was an error during the session. Constant Com::Vmware::Content::Library::Item::UpdateSessionModel::State::CANCELED # The session has been canceled.

## Member Function Documentation

public method Com::Vmware::Content::Library::Item::UpdateSessionModel::State::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Content::Library::Item::UpdateSessionModel::State enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.content.library.item.update_session_model.state',
'binding_class' => 'Com::Vmware::Content::Library::Item::UpdateSessionModel::State');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/Library/Item/UpdateSessionModel.pm